org.keycloak.dom.xmlsec.w3.xmldsig

## Class RSAKeyValueType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.RSAKeyValueType

- All Implemented Interfaces:
    KeyValueType

      public class RSAKeyValueType
      extends Object
      implements KeyValueType

  Java class for RSAKeyValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RSAKeyValueType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Modulus" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
               <element name="Exponent" type="{http://www.w3.org/2000/09/xmldsig#}CryptoBinary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `exponent`
    `protected byte[]` | `modulus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAKeyValueType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSAPrivateKey` | `convertToPrivateKey()` Convert to the JDK representation of a RSA Private Key
    `RSAPublicKey` | `convertToPublicKey()` Convert to the JDK representation of a RSA Public Key
    `byte[]` | `getExponent()` Gets the value of the exponent property.
    `byte[]` | `getModulus()` Gets the value of the modulus property.
    `void` | `setExponent(byte[] value)` Sets the value of the exponent property.
    `void` | `setModulus(byte[] value)` Sets the value of the modulus property.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### modulus

          protected byte[] modulus

    - #### exponent

          protected byte[] exponent

  - ### Constructor Detail

    - #### RSAKeyValueType

          public RSAKeyValueType()

  - ### Method Detail

    - #### getModulus

          public byte[] getModulus()

      Gets the value of the modulus property.
      Returns:
        possible object is byte[]

    - #### setModulus

          public void setModulus(byte[] value)

      Sets the value of the modulus property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getExponent

          public byte[] getExponent()

      Gets the value of the exponent property.
      Returns:
        possible object is byte[]

    - #### setExponent

          public void setExponent(byte[] value)

      Sets the value of the exponent property.
      Parameters:
        `value` - allowed object is byte[]

    - #### convertToPublicKey

          public RSAPublicKey convertToPublicKey()
                                          throws ProcessingException

      Convert to the JDK representation of a RSA Public Key
      Returns:
      Throws:
        `ProcessingException`

    - #### convertToPrivateKey

          public RSAPrivateKey convertToPrivateKey()
                                            throws ProcessingException

      Convert to the JDK representation of a RSA Private Key
      Returns:
      Throws:
        `ProcessingException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.